classification
Title: [PATCH] distutils.sysconfig.get_python_lib prefix argument broken
Type: behavior Stage:
Components: Distutils Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: pjenvey, tarek
Priority: high Keywords: patch

Created on 2008-07-16 21:10 by pjenvey, last changed 2009-02-10 12:42 by tarek. This issue is now closed.

Files
File name Uploaded Description Edit
get_python_lib-r65033.diff pjenvey, 2008-07-16 21:10
Messages (3)
msg69836 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2008-07-16 21:10
get_python_lib supports an optional prefix argument:

    If 'prefix' is supplied, use it instead of sys.prefix or
    sys.exec_prefix -- i.e., ignore 'plat_specific'.

However the NT and OS2 platforms don't use the prefix argument when 
specified.

This problem was brought up a while ago here: http://mail.python.org/pipermail/distutils-sig/2002-November/003099.html

Andrew (the OS2 maintainer) claimed in the thread that fixing this would 
break OS2, but I don't see how. All callers of get_python_lib in the 
stdlib don't specify a prefix anyway. Anyone calling it with a prefix 
and expecting it not to be used is broken.
msg81251 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-06 08:27
The patch looks fine to me. I'll send a mail to Andrew to ask him for a
demonstration, and wait a week to commit it.
msg81543 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-10 12:42
Done in r69485. Thanks for the patch Phillip !
History
Date User Action Args
2009-02-10 12:42:43tareksetstatus: open -> closed
messages: + msg81543
2009-02-06 08:27:44tareksetmessages: + msg81251
2009-02-06 01:34:07tareksetpriority: high
assignee: tarek
nosy: + tarek
versions: + Python 3.1, Python 2.7
2008-07-16 23:51:31pjenveysettitle: distutils.sysconfig.get_python_lib prefix argument broken -> [PATCH] distutils.sysconfig.get_python_lib prefix argument broken
2008-07-16 21:10:53pjenveycreate